import { Database } from "@rtdb2/core";
import { RuleError } from "@rtdb2/rules";
export declare class DatabaseManager {
    static databases: Map<string, DatabaseWrapper>;
    static init(): Promise<void>;
    static addDatabase(name: string): Promise<DatabaseWrapper>;
    static getDatabase(name: string): DatabaseWrapper;
    static deleteDatabase(name: string): Promise<void>;
}
export declare class DatabaseWrapper {
    #private;
    name: string;
    accesskey?: string;
    rules?: string;
    publickey?: string;
    rootkey?: string;
    get database(): Database;
    constructor(name: string, accesskey?: string, rules?: string, publickey?: string, rootkey?: string);
    private applyRules;
    setRules(rules: string): Promise<RuleError | undefined>;
    setAccessKey(key: string): Promise<void>;
    setRootKey(key: string): Promise<void>;
    setPublicKey(key: string): Promise<void>;
}
