"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logging_1 = require("@hibas123/logging");
const web_1 = require("./web");
const config_1 = require("./config");
const database_1 = require("./database");
const http_1 = require("http");
const websocket_1 = require("./websocket");
const logging_2 = require("@hibas123/logging");
const fs = require("fs");
if (!fs.existsSync("./databases/")) {
    fs.mkdirSync("./databases");
}
logging_1.default.logLevel = config_1.default.dev ? logging_2.LoggingTypes.Debug : logging_2.LoggingTypes.Log;
const version = JSON.parse(fs.readFileSync("./package.json").toString()).version;
logging_1.default.log("Starting Database version:", version);
database_1.DatabaseManager.init()
    .then(() => {
    const http = (0, http_1.createServer)(web_1.default.callback());
    websocket_1.WebsocketConnectionManager.bind(http);
    const port = config_1.default.port || 5000;
    http.listen(port, () => logging_1.default.log("WS:  Listening on port:", port));
})
    .catch((err) => {
    logging_1.default.error(err);
    process.exit(-1);
});
//# sourceMappingURL=index.js.map