import { Lock } from "@hibas123/utils";
interface IDatabaseConfig {
    name: string;
    publickey?: string;
    rules?: string;
    accesskey?: string;
    rootkey?: string;
}
declare class SettingComponent {
    db: import("@rtdb2/core").LevelDB;
    databaseLock: Lock;
    constructor();
    private setField;
    private getField;
    private getDatabaseList;
    getDatabases(): Promise<IDatabaseConfig[]>;
    addDatabase(name: string): Promise<void>;
    setDatabasePublicKey(name: string, publickey: string): Promise<void>;
    setDatabaseRules(name: string, rules: string): Promise<void>;
    setDatabaseAccessKey(name: string, accesskey: string): Promise<void>;
    setDatabaseRootKey(name: string, accesskey: string): Promise<void>;
    deleteDatabase(name: string): Promise<void>;
}
declare const Settings: SettingComponent;
export default Settings;
